Name:          flatpack
Version:       4.0.1
Release:       %mkrel 4
Group:         Development/Java
Summary:       Flat File Parser via XML Mappings (fixed length,CSV)
License:       ASL 2.0
URL:           http://flatpack.sourceforge.net/
# wget https://github.com/Appendium/flatpack/archive/flatpack-parent-4.0.1.tar.gz
# tar -xf flatpack-parent-4.0.1.tar.gz
# mv flatpack-flatpack-parent-4.0.1 flatpack-4.0.1
# rm -rf flatpack-4.0.1/flatpack/src/site/*  flatpack-4.0.1/flatpack-samples/src/site/* flatpack-4.0.1/src/site/*
# tar cJf flatpack-4.0.1-clean.tar.xz flatpack-4.0.1
Source0:       flatpack-%{version}-clean.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sourceforge.jexcelapi:jxl)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Simple Java delimited and fixed width file parser.
Handles CSV, Excel CSV, Tab, Pipe delimiters,
just to name a few. Maps column positions in the
file to user friendly names via XML.

%package examples
Summary:       FlatPack Examples

%description examples
This package contains FlatPack Examples.

%package parent
Summary:       FlatPack Parent POM

%description parent
This package provides FlatPack Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.jar" -delete
find . -name "*.class" -delete

%pom_remove_plugin -r :maven-source-plugin
%pom_xpath_remove -r "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

sed -i 's|${pom.artifactId}|${project.artifactId}|' pom.xml %{name}/pom.xml %{name}-samples/pom.xml
sed -i 's|${pom.version}|${project.version}|' pom.xml  %{name}/pom.xml %{name}-samples/pom.xml

%pom_change_dep -r jexcelapi:jxl net.sourceforge.jexcelapi: %{name} %{name}-samples

%pom_xpath_remove -r "pom:Bundle-RequiredExecutionEnvironment" %{name} %{name}-samples

sed -i 's/\r//' LICENSE.txt README.md

%mvn_file net.sf.%{name}:%{name} %{name}
%mvn_alias net.sf.%{name}:%{name} org.apache.servicemix.bundles:org.apache.servicemix.bundles.flatpack
%mvn_file net.sf.%{name}:%{name}-examples %{name}-examples
%mvn_package net.sf.%{name}:%{name}::tests: %{name}

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license LICENSE.txt

%files examples -f .mfiles-%{name}-examples
%license LICENSE.txt

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Thu May 18 2017 neoclust <neoclust> 4.0.1-4.mga6
+ Revision: 1103081
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 4.0.1-3.mga6
+ Revision: 982557
- Second rebuild of the java stack

* Thu Feb 25 2016 neoclust <neoclust> 4.0.1-2.mga6
+ Revision: 979237
- sync package flatpack with fedora


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 28 2015 gil cattaneo <puntogil@libero.it> 4.0.1-1
- update to 4.0.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 28 2015 gil cattaneo <puntogil@libero.it> 4.0.0-2
- remove logos in site directories
- fix installation of main package
- use pom macros

* Wed Jan 28 2015 gil cattaneo <puntogil@libero.it> 4.0.0-1
- update to 4.0.0

* Sat Jun 15 2013 gil cattaneo <puntogil@libero.it> 3.2.0-1
- initial rpm
